# FirmhouseOriginalInvoice

## Properties

| Property              | Type                                                                                     | Description                                                                              |
| --------------------- | ---------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------- |
| `city`                | `null` \| `string`                                                                       | The customer's city or town stored on the invoice.                                       |
| `companyName`         | `null` \| `string`                                                                       | The customer's company name stored on the invoice.                                       |
| `country`             | `null` \| `string`                                                                       | The billing country code (ISO 3116) stored on the invoice.                               |
| `createdAt`           | `string`                                                                                 | When the invoice record was first created.                                               |
| `currency`            | `null` \| `string`                                                                       | Currency used for this invoice                                                           |
| `description`         | `null` \| `string`                                                                       | The description of the invoice.                                                          |
| `detailsUrl`          | `string`                                                                                 | URL to view invoice details, PDF download, and manual payment link.                      |
| `externalUrl`         | `null` \| `string`                                                                       | An external invoice URL that replaces the default invoice                                |
| `fullAddress`         | `null` \| `string`                                                                       | The customer's full address by combining address and house number stored on the invoice. |
| `fullName`            | `null` \| `string`                                                                       | The customer's full name stored on the invoice.                                          |
| `id`                  | `string`                                                                                 | The database ID of this invoice.                                                         |
| `invoiceNumber`       | `string`                                                                                 | The formatted (legal) invoice number.                                                    |
| `invoiceStatus`       | [`InvoiceStatusEnum`](/sdks/firmhouse-sdk/reference/enumerations/invoice-status-enum.md) | The payment status of the invoice.                                                       |
| `invoicedAt`          | `null` \| `string`                                                                       | When the invoice was formally invoiced.                                                  |
| `phoneNumber`         | `null` \| `string`                                                                       | The customer's full international phone number stored on the invoice.                    |
| `salutation`          | `null` \| `string`                                                                       | The customer's salutation (mr,ms,mx) stored on the invoice.                              |
| `state`               | `null` \| `string`                                                                       | The customer's state stored on the invoice.                                              |
| `subscriptionId`      | `string`                                                                                 | ID of the associated subscription.                                                       |
| `taxPercentage`       | `null` \| `number`                                                                       | The percentage of tax used for this invoice.                                             |
| `totalAmountCents`    | `number`                                                                                 | Total amount of invoice in cents.                                                        |
| `totalTaxAmountCents` | `number`                                                                                 | Total tax amount of invoice in cents.                                                    |
| `zipcode`             | `null` \| `string`                                                                       | The customer's postal code or zipcode stored on the invoice.                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-original-invoice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
